* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* ===== Body ===== */
body {
  font-family: 'Montserrat', sans-serif;
  line-height: 1.6;
  background: #ffe4ec;

  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

/* ===== Header ===== */
header {
  display: flex;
  justify-content: space-between;
  align-items: center;

  height: 70px;
  background: #fff;
  border-bottom: 1px solid #eee;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 16px;
}

nav ul li a {
  padding: 8px 12px;
  border: 2px solid transparent;
  border-radius: 4px;
  text-decoration: none;
  color: #333;
  font-weight: 500;
  transition: 0.3s;
}

nav ul li a:hover {
  color: #b61f51;
  border-color: #b61f51;
}

.icons {
  display: flex;
  gap: 10px;
}

.icons a {
  text-decoration: none;
  color: #555;
  font-size: 14px;
  display: flex;
  align-items: center;
  gap: 5px;
  transition: 0.3s;
}

.icons a:hover {
  color: #b61f51;
}



/* ===== Hero ===== */
.hero {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;

  padding: 60px 40px;
  background: linear-gradient(135deg, #fff0f6, #fafafa);
}

.hero-text {
  max-width: 50%;
}

.hero-text h3 {
  color: #e91e63;
  font-size: 22px;
}

.hero-text h1 {
  font-size: 48px;
  margin: 15px 0;
}

.hero-text p {
  margin: 20px 0;
  color: #555;
}

.btn {
  display: inline-block;
  padding: 12px 25px;
  background: #e91e63;
  color: #fff;
  border-radius: 9px;
  text-decoration: none;
  transition: 0.3s;
}

.btn:hover {
  background: #b61f51;
}

.hero-img img {
  max-width: 600px;
  border-radius: 8px;
}

/* ===== Products ===== */
.category {
  padding: 60px 20px;
}
.section-header {
    text-align: center;
    margin-bottom: 30px;
}

.section-header h2 {
    font-size: 32px;
    margin-bottom: 5px;
}

.view-all {
    padding: 10px 40px;
    text-decoration: none;
    color: #000;
    border: 1px solid #000;
    border-radius: 4px;
    transition: all 0.3s ease;
    display: inline-block;
   
}

.view-all:hover {
    background: #000;
    color: #fff;
}

.product-grid {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 20px;
}

.product-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  background: #fff;
  padding: 15px;
  border-radius: 6px;
  border: 1px solid #eee;
  text-align: center;
  transition: 0.3s;
}

.product-card:hover {
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.5);
   transform: scale(1.05);
  transition: 0.3s;
}

.product-card img {
  width: 100%;
  height: 280px;
  object-fit: cover;
  border-radius: 4px;
}


.product-card p {
  margin: 10px 0;
  font-weight: 600;
}

.price {
  display: flex;
  justify-content: center;
  gap: 6px;
}

.old-price {
  text-decoration: line-through;
  color: #999;
}

.new-price {
  color: #e91e63;
  font-weight: bold;
}

.cart-btn {
  margin-top: 10px;
  padding: 10px;
  background: #e91e63;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.cart-btn:hover {
  background: #4a4949; 
}

/* ===== Footer ===== */

.footer {
   
    padding: 50px 80px;

    background: #fffcfc;
    color: #000000;

    font-family: 'Montserrat', sans-serif;
    height: 350px;
   
}

.footer-container {
    display: flex;
    justify-content: space-between;
   
}

.footer-col {
    width: 22%;
}

.footer-col h3,
.footer-col h4 {
    margin-bottom: 15px;
}

.footer-col ul {
    list-style: none;
}

.footer-col ul li {
    margin-bottom: 10px;
}

.footer-col ul li a {
    text-decoration: none;
    color: #000000;
}

.footer-col ul li a:hover {
    color: #7d7b7b;
}

.footer-bottom {
    margin-top: 40px;
    padding-top: 15px;
    text-align: center;
    font-size: 16px;

    border-top: 1px solid #000000;
    margin-right: 60px;
    margin-bottom: 0%;
}
/* ===== Responsive ===== */
@media (max-width: 768px) {
  .product-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .hero-text {
    max-width: 100%;
    text-align: center;
  }

  .hero-img img {
    max-width: 100%;
    margin: 20px auto;
    display: block;
  }

  .footer-col {
    width: 100%;
    margin-bottom: 20px;
  }
}

@media (max-width: 480px) {
  .product-grid {
    grid-template-columns: 1fr;
  }
}



